/**
 * 系统管理-数据字典管理首页JS
 */
'use strict';
var el = {
    searchForm: '#searchForm',
    thirdOrder: '#thirdOrder',
    tb: '#tb',
    bodyHeight: document.documentElement.clientHeight
};


/**
 * 文档就绪
 */
$(function () {
    initDictTypeDataGrid();
});


/**
 * 初始化订单表格
 */
function initDictTypeDataGrid() {
    var searchHeight = $(el.searchForm).outerHeight();
    var pager = initGridPagerNew(el.bodyHeight - searchHeight, 37, 40);
    var packageId=$("#packageId").val();

    $(el.tb).datagrid({
        loadMsg: '数据加载中......',
        url: '/pc/mall/cart/rest/orderTrackDetailList?packageId='+packageId,
        height: el.bodyHeight - searchHeight,
        singleSelect: true,
        rownumbers: true,
        //pagination: true,
        /*pageSize: pager.pageSize,
        pageList: pager.pageList,*/
        columns: [
            [

                {
                    field: 'content',
                    title: '配送信息内容',
                    width: 280
                },
                {
                    field: 'operator',
                    title: '操作员',
                    width: 200
                },
                {
                    field: 'msgTime',
                    title: '时间',
                    width: 180
                }
            ]
        ]
    });
}
